# Session Registrations Session Registrations ## Creates a new session registration record that does not already exist. - [POST /sessionRegistrations/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/createsessionregistration.md): This method will auto-generate an ID and create a new session registration. If an ID is specified for the session registration, an error will be thrown. ## Execute Batch Operations - [POST /sessionRegistrations/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified event_contact_id - [GET /sessionRegistrations/{tenantId}/eventContact/{eventId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/listregistrationsbyeventcontactid.md): Returns a list of records with the specified event_contact_id ## Returns a list of records with the specified session_id - [GET /sessionRegistrations/{tenantId}/session/{session_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/listregistrationsbysessionid.md): Returns a list of records with the specified session_id ## Returns a session registration from the system by its ID. - [DELETE /sessionRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/deletesessionregistration.md): This method will delete a session registration with the specified ID. ## Returns a session registration from the system by its ID. - [GET /sessionRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/getsessionregistration.md): This method will look up a session registration by the specified ID and return it back. ## Partially updates a session registration with the specified ID. - [PATCH /sessionRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/patchsessionregistration.md): This method will patch an existing session registration with the specified ID, using the HTTP PATCH specification. ## Updates a session registration with the specified ID. - [PUT /sessionRegistrations/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/session-registrations/updatesessionregistration.md): This method will update an existing session registration with the specified ID.